#import <AppKit/AppKit.h>
#import <osmesa.h>
#import <gl.h>
#import <glu.h>

@interface MesaView : NSView
{
    unsigned char *buffer;
    OSMesaContext ctx;
    NSBitmapImageRep *bitmap;
}

- initWithFrame:(NSRect)frameRect;

- (void)GLinit:sender;
- (void)GLdraw:sender;
- (void)GLresize:sender;

- (void)drawRect:(NSRect)rect;
- (void)dealloc;
- (void)resizeWithOldSuperviewSize:(NSSize)old;
- (BOOL)isOpaque;

-(void)_createViewport;

@end
